/** @file
 * Low-level call to close a connection to an ident server.
 *
 * @author Peter Eriksson <pen@lysator.liu.se>
 *
 * $Id: id_close.c,v 1.4 2002/10/29 00:51:19 eagle Exp $
 */

#include <stdlib.h>
#include <unistd.h>

#include "sident.h"

int
id_close(ident_t *id)
{
    int res;
  
    res = close(id->fd);
    free(id);
    
    return res;
}
